<template lang="pug">
    .post-preview
        a(:href="permlink")
            h2.post-title {{article.title}}
            h3.post-subtitle {{article.abstract}}
        p.post-meta
            span(:title="createdLocalTime | moment('DD MMMM YYYY, h:mm:ss')")= "{{ createdLocalTime | moment('from') }}"
            span= ' by {{ article.author }}'
            span= ', comments: {{article.comments}}'
            span= ', votes: {{article.votes_count}}'
            span= ', reward: ${{value}}'
        hr
</template>

<script lang="ts">

    import Vue from "vue";

    export default Vue.component('article', {
        props: {
            article: {
                type: Object,
                required: true
            }
        },
        computed: {
            thumbnail() {
                return this.article.thumbnail_image || '/images/pic01.jpg';
            },
            permlink() {
                return `/${this.article.permlink}`;
            },
            avatar() {
                return "https://images.hive.blog/u/" + this.article.author + "/avatar"
            },
            value() {
                return this.article.value.toFixed(2);
            }
        },
        methods: {
            getCategoryPermlink(category: any) {
                return `/category/${category.slug}`
            }
        }
    })

</script>
